Provide all runtimes since Java 5 (Close: #775987)
[sven/java-package.git] / debian / changelog
1 java-package (0.57) UNRELEASED; urgency=medium
2
3   * Team upload.
4   * Include Java 8 in the help message of make-jpkg (Closes: #775977)
5   * Provide all runtimes since Java 5, thanks to Laurens Blankers
6     (Closes: #775987)
7   * Standards-Version updated to 3.9.6 (no changes)
8
9  -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Jan 2015 09:41:39 +0100
10
11 java-package (0.56) unstable; urgency=medium
12
13   * Team upload.
14   * Do not Build-Depends libavcodec53 and libavformat53 for Java 8.
15     Thanks to Chris Jester-Young for the patch. (Closes: #751974)
16   * Set the urcency of the guest package to medium.
17
18  -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 20 Jun 2014 11:10:45 +0200
19
20 java-package (0.55) unstable; urgency=medium
21
22   [ tony mancill ]
23   * Team upload.
24   * Add lsb-release to Depends (used in make-jpkg).
25   * Apply patch to honor --revision argument.
26     Thanks to Alberto Caso Palomino. (Closes: #743919)
27
28   [ Emmanuel Bourg ]
29   * Bumped the Standards-Version of the generated package to 3.9.5
30   * Use debhelper level 9 in the generated package
31
32   [ Benjamin Drung ]
33   * Add a debian/rules file to the generated source package.
34   * Use dpkg-buildpackage to build the guest package.
35   * Add ${misc:Depends} to the guest dependency.
36   * Add --source option to build a source package instead of a binary deb
37     package. (Closes: #745762)
38   * Replace lsb_release call by dpkg-vendor call.
39   * Convert copyright file content to UTF-8 for guest debian/copyright.
40   * Remove trailing spaces from copyright file.
41   * Create build depends for JDK guest package.
42
43  -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 17 Jun 2014 20:41:39 +0200
44
45 java-package (0.54) unstable; urgency=medium
46
47   * Team upload.
48   * Added support for ARM VFP/hard-float JDK releases.
49     Thanks to Christopher Huhn <C.Huhn@gsi.de> (Closes: #724455)
50   * Added more command line tool alternatives: jcmd, jdeps, jhat, jrunscript,
51     schemagen, wsgen, wsimport and xjc
52   * Standards-Version updated to 3.9.5 (no changes)
53   * Removed the suggested dependency on openjdk-6-jre
54   * Switch to debhelper level 9
55
56  -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Mar 2014 18:44:58 +0100
57
58 java-package (0.53) unstable; urgency=low
59
60   * Team upload.
61   * Added support for early access releases (Closes: #721136)
62   * Added support for GA and FCS releases
63   * Excluded the fxavcodecplugin libraries used by JavaFX from the dependency
64     calculation performed by dh_shlibdeps to avoid errors (Closes: #687075)
65   * Updated the package description and debian/README.Debian:
66     - no longer recommend openjdk-6
67     - mention the compatibility with Java 8
68   * Removed 'Replaces: ${j2se_package}debian' from the generated control file
69   * Adjusted the disk space required to unpack the Java 8 documentation
70   * Updated the manpages for Java 8
71   * Updated debhelper level to 7
72   * debian/rules: Use dh_prep instead of dh_clean -k
73   * Removed the recommended dependency on libstdc++5 from the generated
74     control file (used by the now unsupported IBM JDK 5)
75   * Removed the recommended dependency on libgtk1.2 from the generated
76     control file (removed from Squeeze)
77   * Removed the recommended dependency on libx11-6 and libasound2 from
78     the generated control file (these dependencies are already injected
79     by dh_shlibdeps)
80   * Removed the references to "Java 2" from the description of the generated
81     JRE package
82   * Changed the short description of the generate packages to match
83     the official name
84
85  -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Sep 2013 14:42:43 +0200
86
87 java-package (0.52) unstable; urgency=low
88
89   [ Sylvestre Ledru ]
90   * Team upload
91   * Upload to unstable
92   * Ack the NMU of David Prévot (thanks!)
93   * Standards-Version updated to version 3.9.4
94   * Remove obsolete variable from the changelog
95   * Add support of ARM upstream binary by James Page and Matthias Vill.
96     Thanks guys! (Closes: #687375)
97   * Change the installation path from
98     /usr/lib/jvm/jdk-6.38-oracle-x64 or /usr/lib/jvm/jdk-7.10-oracle-x64
99     to
100     /usr/lib/jvm/jdk-6-oracle-x64 and /usr/lib/jvm/jdk-7-oracle-x64
101     Thanks to Constantin Makshin for the patch (Closes: #696227)
102
103   [ Cédric Pineau ]
104   * Fix lintian errors and warnings
105
106   [ Gabriele Giacone ]
107   * Add {mozilla,firefox}-javaplugin.so for update-java-alternatives.
108   * Fix plugin directories. Closes: #686216
109
110   [ Emmanuel Bourg ]
111   * Switched to the 3.0 (native) package format
112   * debian/control: Use canonical URLs for the Vcs-* fields
113   * debian/copyright: Switched to the Machine-readable format 1.0
114   * Updated the manpages to reflect the latest naming changes
115   * Removed the unused provided dependencies (j2sdk<version>, j2re<version>)
116   * Provide the java<version-1>-runtime and java<version-2>-runtime dependencies
117     (Closes: #691063)
118   * Provide the java<version>-sdk dependencies to match the openjdk package
119   * Use the upstream versioning scheme (i.e 7u13 instead of 7.13)
120     to match the convention used by the new openjdk packages
121   * Renamed the script files (j2sdk->jdk, j2re->jre, j2se->javase)
122
123  -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jun 2013 13:43:55 +0200
124
125 java-package (0.51~exp1) experimental; urgency=low
126
127   * Add firefox-javaplugin.so alternative Closes: #673670 and LP: #1024368
128   * Add java5 and 6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993 and LP: #995655
129   * Drop installation debconf note Closes: #685082
130   * Correct handling of amd64 in oracle-jdk6.1->4 and improve error message when used with unknown archives
131   * Add support for earlier oracle-jdk6 version
132
133   [Emmanuel Bourg]
134   * Improved detection of the JRE/JDK version (supports 2 digits Java 7 updates) Closes: #597294
135   * Brand and naming cleanup
136   * Documentation directory changed to be /usr/share/doc/oracle-javaV-doc (for oracle)
137
138   [Joerg Schirottke]
139   * Add mozilla-javaplugin.so alternative
140
141  -- Cédric Pineau <cedric.pineau@gmail.com>  Sat, 18 Aug 2012 11:00:34 +0200
142
143 java-package (0.50+nmu2) unstable; urgency=high
144
145   * Non-maintainer upload.
146   * Allow two digits in Java 7 updates. Closes: #597294, #698108
147
148  -- David Prévot <taffit@debian.org>  Tue, 15 Jan 2013 15:06:26 -0400
149
150 java-package (0.50+nmu1) unstable; urgency=low
151
152   * Non-maintainer upload.
153   * Drop installation debconf note. Closes: #685082
154
155  -- David Prévot <taffit@debian.org>  Thu, 06 Sep 2012 18:38:03 -0400
156
157 java-package (0.50) unstable; urgency=low
158
159   * Java-package reset for reintroduction in debian (removal of all
160     previously supported jvm, global refactoring).
161   * Add support for Oracle Java 6 (update >= 10)
162   * Add support for Oracle Java 7
163   * Add support for .jinfo file (update-java-alternatives tool)
164   * Use jdk included jre binaries (jdk/jre/bin/*)
165   * Print usage information on install
166
167   [ Sylvestre Ledru ]
168   * Long description removed
169   * debian-rules-missing-recommended-target removed
170   * maintainer-script-lacks-debhelper-token removed
171   * Declare the debian/compat to 7 to avoid warnings
172
173   [ Michael Koch ]
174   * Remove Java plugins for all browsers (Closes: #367887).
175   * Add support for Sun Java 6 Update XX (Closes: #514364).
176
177  -- Cédric Pineau <cedric.pineau@gmail.com>  Thu, 22 Dec 2011 11:42:13 +0100
178
179 java-package (0.42) unstable; urgency=low
180
181   * Provide java*-runtime-headless and java*-sdk names for generated
182     packages.
183   * Recommend dpkg-dev and gcc. Closes: #281766, #405814.
184
185  -- Matthias Klose <doko@debian.org>  Sat, 02 Aug 2008 12:10:52 +0200
186
187 java-package (0.41) unstable; urgency=low
188
189   * Added support for new SUN JDK/JRE for amd64 downloads. Thanks to
190     Artyom Gavrichenkov for the initial patch.
191
192  -- Michael Koch <konqueror@gmx.de>  Fri, 21 Mar 2008 17:20:35 +0100
193
194 java-package (0.40) unstable; urgency=low
195
196   * Add support for ibm-java2-sdk-5.0-6.0-linux-$arch.tgz. Closes: #462399
197     Thanks to Evgeni Dobrev for the patch.
198   * Fixed spelling error in long description: debian -> Debian.
199
200  -- Michael Koch <konqueror@gmx.de>  Thu, 24 Jan 2008 22:48:46 +0100
201
202 java-package (0.39) unstable; urgency=low
203
204   * Added support for IBM JDK 6.0 final release.
205   * Updated Standard-Version to 3.7.3.
206   * Updated debhelper level to 5.
207
208  -- Michael Koch <konqueror@gmx.de>  Tue, 18 Dec 2007 07:38:34 +0100
209
210 java-package (0.38) unstable; urgency=low
211
212   * Mention SUN JDK 6 in REAME.Debian. Closes: #448258.
213   * Fixed typo when creating version number for SUN JDK 6. Closes: #451935.
214   * Fix handling of symlinks for ControlPanel, HtmlConverter and java-rmi.cgi
215     from SUN JDK 6. Closes: #448351.
216
217  -- Michael Koch <konqueror@gmx.de>  Fri, 30 Nov 2007 00:03:50 +0100
218
219 java-package (0.37) unstable; urgency=low
220
221   * Added libstdc++5 to Recommends of generated package. Closes: #446334.
222
223  -- Michael Koch <konqueror@gmx.de>  Thu, 25 Oct 2007 22:45:42 +0200
224
225 java-package (0.36) unstable; urgency=low
226
227   * Fixed package description to include more supported JDKs.
228     Closes: #447615, #447617.
229
230  -- Michael Koch <konqueror@gmx.de>  Wed, 24 Oct 2007 09:56:52 +0200
231
232 java-package (0.35) unstable; urgency=low
233
234   * Use 'date -R' instead of the deprecated '822-date'. Closes: #441229.
235   * Fix generation of .changes file. Closes: #332643.
236     Thanks to Christoph Goehre for the patch.
237   * Add possibility to add a configured revision to the version.
238     Closes: #442246. Thanks to Christoph Goehre again for the patch.
239
240  -- Michael Koch <konqueror@gmx.de>  Fri, 14 Sep 2007 17:28:13 +0200
241
242 java-package (0.34) unstable; urgency=low
243
244   * Fixed SUN JDK on amd64. Closes: #439221.
245
246  -- Michael Koch <konqueror@gmx.de>  Fri, 24 Aug 2007 00:41:54 +0200
247
248 java-package (0.33) unstable; urgency=low
249
250   * Fixed postinst scripts for SUN JDK 1.4, 5 and 6. Closes: #435632.
251
252  -- Michael Koch <konqueror@gmx.de>  Thu, 02 Aug 2007 18:43:40 +0200
253
254 java-package (0.32) unstable; urgency=low
255
256   * Added support for iceweasel. Closes: #433445.
257   * Fix dangling links for SUN Java 5. Closes: #305053.
258   * Depend on libx11-6 and libasound2. Closes: #289004.
259   * Fix building on ia64. Closes: #355465.
260
261  -- Michael Koch <konqueror@gmx.de>  Thu, 19 Jul 2007 22:51:31 +0200
262
263 java-package (0.31) unstable; urgency=low
264
265   * Reapplied changes from 0.28 to 0.29. Closes: 322843.
266
267  -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:16:14 +0200
268
269 java-package (0.30) unstable; urgency=low
270
271   * Added support for SUN JDK 6u2 (and following updates).
272   * Added support for ibm-java2-jre-5.0-5.0-linux-ppc.tgz.
273     Thanks to B. Zhang.
274
275  -- Michael Koch <konqueror@gmx.de>  Sun, 08 Jul 2007 09:33:29 +0200
276
277 java-package (0.29) unstable; urgency=low
278
279   * Added support for SUN Java 6 and IBM Java 6.
280     Closes: #322843, #402642, #418592, #425508, #430026.
281   * Added myself to Uploaders.
282
283  -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 17:40:04 -0100
284
285 java-package (0.28) unstable; urgency=low
286
287   * Modified to reflect migration to Subversion
288   * Bumped standards to version 3.7.2, no changes
289   * Corrected test for AMD64 architecture during plug-in detection
290   * Corrected detected version for IBM Java 5 JDK on AMD64 (Closes: #345775)
291   * Repaired alternatives handling for IBM Java 5 JREs and JDKs
292     (Closes: #338569)
293   * Corrected pathing for alternatives installation for Mozilla and
294     Firefox plugins (Closes: #341751)
295   * Relaxed architectural restrictions on plugin alternative
296     installation for IBM Java 5 JREs and JDKs (Closes: #343837)
297   * Added plugin installation for the new packaging of Firefox 1.5 and
298     later (Closes: #341749)
299   * Modified warning suppression for dh_shlibdeps to accommodate
300     changes in dpkg-dev (Closes: #354427)
301   * Added quotes to variable tests for maintainer name and email
302     (Closes: #342623)
303   * Refactored architecture evaluation to eliminate repetition and
304     evaluate DEB_BUILD_GNU_TYPE correctly for i486-linux-gnu
305   * Removed dependency on 'coreutils | stat' from control file, as
306     the dependency is satisfied within essential (Closes: #370002)
307
308  -- Barry Hawkins <barry@alltc.com>  Mon, 26 Jun 2006 11:19:08 -0400
309
310 java-package (0.27) unstable; urgency=low
311
312   * Added support for IBM Java2 5.0 JREs and JDKs (Closes: #337129)
313   * Corrected missing alternatives links for all JREs and JDKs
314     (Closes: #317492)
315   * Added conditional wrapping around dh_compress to account for
316     JRE/JDKs that do not ship manpages (Closes: 301738)
317   * Removed java-common from Provides: for JRE and JDK packages.
318
319  -- Barry Hawkins <barry@bytemason.org>  Tue, 08 Nov 2005 12:16:24 -0500
320
321 java-package (0.26) unstable; urgency=low
322
323   * Update standards version to 3.6.2
324   * Resolve issues with powerpc-linux support detection (Closes: #317671)
325   * Added support for Blackdown 1.4.2+02 release (Closes: #316831)
326   * Added support for packaging Sun JDK documentation (Closes: #272971)
327   * Modified make-jpkg behavior to default the generated packages'
328     name and email address for the maintainer to Debian Java Maintainers
329     (Closes: #325554)
330
331  -- Barry Hawkins <barry@bytemason.org>  Thu, 18 Aug 2005 00:43:17 -0400
332
333 java-package (0.25) unstable; urgency=low
334
335   * Cope with dpkg's new way of expressing architectures (Closes: #313555)
336   * Re-exec with fakeroot if needed (Closes: #310132)
337
338  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 10 Jul 2005 18:50:40 +0200
339
340 java-package (0.24) unstable; urgency=low
341
342   * Added plugin alternatives support for i386 IBM JREs and JDKs
343   * Corrected pathing for plugin alternatives to reflect difference in
344     layout between JREs and JDKs for Sun and Blackdown (Closes: #305219,
345     #301806)
346
347  -- Barry Hawkins <barry@bytemason.org>  Wed, 21 Apr 2005 01:02:03 -0400
348
349 java-package (0.23.1) experimental; urgency=low
350
351   * Added architecture-specific pathing for plugin alternatives for
352     Blackdown 1.3 and 1.4 JREs and JDKs
353
354  -- Barry Hawkins <barry@bytemason.org>  Wed, 06 Apr 2005 00:03:40 -0500
355
356 java-package (0.23) unstable; urgency=low
357
358   * Further expanded 1.3.1 Blackdown JRE/JDK support for i386
359   * Added architecture-specific pathing for plugin alternatives for
360     Sun 1.4 and 1.5 JREs and JDKs (Closes: #301806)
361   * Added recommends for system elements required by applets and
362     graphical user interface elements (Closes: #300817)
363   * Jeroen van Wolffelaar:
364     + Fixed packages description to not have too long lines, and make the 3
365       items an enumeration
366
367  -- Barry Hawkins <barry@bytemason.org>  Fri, 01 Apr 2005 00:36:40 -0500
368
369 java-package (0.22.1) experimental; urgency=low
370
371   * Corrected IBM and Blackdown JRE/JDK file size specifications
372   * Added support for additional 1.3.1 Blackdown JREs and JDKs for i386,
373     powerpc (Closes: #301092)
374   * Added installation of javaws alternative for Sun 1.5 JREs and JDKs
375     (Closes: #300303)
376
377  -- Barry Hawkins <barry@bytemason.org>  Thu, 24 Mar 2005 13:20:18 -0500
378
379 java-package (0.22) unstable; urgency=low
380
381   * Corrected IBM JRE/JDK scripts to accurately reflect the supported
382     IBM JDKs and JREs in the generated SUPPORTED file
383
384  -- Barry Hawkins <barry@alltc.com>  Fri, 18 Mar 2005 10:21:53 -0500
385
386 java-package (0.21) unstable; urgency=low
387
388   * Enable support for IBM JDKs and JREs for x86, amd64, powerpc,
389     powerpc64, and s390 architectures, based upon a patch by Rico
390     Schiekel (Closes: #264137)
391   * Enable suppport for Blackdown 1.3.1 JDK and JRE for PowerPC
392     architecture. (Closes: #296205)
393   * Update documentation and to reflect current supported JDKs and JREs
394
395  -- Barry Hawkins <barry@alltc.com>  Mon, 14 Mar 2005 03:18:39 -0500
396
397 java-package (0.20) unstable; urgency=low
398
399   * Make the postinst & rm for generated packages #!/bin/bash, as we use
400     bash-specific features (Closes: #292179)
401   * Drop the df output parsing, use '/usr/bin/stat' instead (Closes: #293487,
402     #289006, #293350)
403   * Drop the now obsolete peer stuff from the source package
404   * Change priorities, 313 for 1.3, 314 for 1.4, etc (Closes: #292451)
405   * Don't dh_strip, fiddling with upstream's binaries apparantly breaks stuff
406     (Closes: #291238)
407
408  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 08 Feb 2005 15:04:51 +0100
409
410 java-package (0.19) unstable; urgency=low
411
412   The "Joshua Kwan <joshk@debian.org> rocks!" release.
413
414   Joshua Kwan:
415   * Unclutter Debian build system and rework package slightly so that
416     *debian packages are not needed anymore. The necessary files will be
417     included in the generated packages. (Closes: #291145, #289245, #284779)
418   * Add support for Blackdown 1.4.2+01 build. (Closes: #285405)
419   * Fix support for Sun 1.5.0 amd64 builds due to typo. (Closes: #290879)
420   * Mozilla browser plugin name changed in 1.4.2 versions. Detect and correct.
421     (Closes: #273730)
422   * Use --block-size=1M instead of -BM. (Closes: #289005, #291161)
423   * Disable support for Sun JDK 1.3 due to its dependencies on libraries
424     that are simply not available anymore. (Closes: #272972)
425   * Fix up short description a little bit.
426   * Bump Standards-Version to 3.6.1 (no changes)
427   * Be a bit more conservative with the real-root test.
428   * Remove last j2se-package references.
429   * Change Suggests on fakeroot to a Depends because it is worthless both
430     as real root and as a normal user without fakeroot.
431
432   Jeroen van Wolffelaar:
433   * Use DEBFULLNAME, DEBNAME and DEBEMAIL if available, and don't ask for
434     those values in that case. (Closes: #279653)
435   * Updated documentation regarding dropped Sun 1.3 support
436   * Work around multiline df output caused by long device names
437     (Closes: #289006)
438   * Add Replaces: for the generated packages on their *debian counterparts
439
440  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 25 Jan 2005 00:05:06 +0100
441
442 java-package (0.18) unstable; urgency=low
443
444   * Added myself to Uploaders
445   * Fix security hole (inscure temp file creation) plus lots of needless I/O
446     in free disk checking function
447   * Added support for Sun's JDK/JRE 1.5 patch levels, based on a patch by
448     Peter Marschall <peter@adpm.de> (Closes: #286718, #287857)
449   * Bail out if running as real root (works around the evil parts of Sun's
450     install script that unconditionally writes to /etc, see #266273, #280707)
451   * Fix typo in j2re.sh that apparantly with some versions of
452     bash/dpkg/whatever cause package build failure (Closes: #281780, #282902)
453   * Reduce minimum expected size a bit Sun's 1.5.0 amd64 package, it was set
454     too high (Closes: #284033)
455   * Substitute package version number at build time in the make-jpkg
456     executable (Closes: #282221)
457   * Added a README.Debian explaining the existance of make-jpkg and what
458     binary packages are supported and where to get them. Thanks Thijs
459     Kinkhorst for the draft (Closes: #283362)
460   * Added automatically-generated file SUPPORTED that lists all binary
461     filenames that are supported, thanks Alex Owen <owen@cus.org.uk> for the
462     idea (Closes: #275296)
463
464  -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Mon,  3 Jan 2005 18:47:47 +0100
465
466 java-package (0.17) unstable; urgency=low
467
468   * added a patch for detecting the architecture (Closes: #274844,
469     #270949, #271846). This patch should also close this one (Closes:
470     #280685).
471
472  -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:28:38 +0100
473
474 java-package (0.16) unstable; urgency=low
475
476   * added myself as an uploader.
477   * Carlos already closed the support for 1.5 request but it seems he did
478     not upload the package (Closes: #277088).
479
480  -- Arnaud Vandyck <avdyk@debian.org>  Wed, 10 Nov 2004 16:38:44 +0100
481
482 java-package (0.15) unstable; urgency=low
483
484   * lib/sun-j2re.sh: Added support for JRE 1.5.0 (aka "Java 5.0").
485   * lib/sun-j2sdk.sh: Added support for Java SDK 1.5.0.
486
487  -- Carlos Laviola <claviola@debian.org>  Mon, 11 Oct 2004 21:08:59 -0300
488
489 java-package (0.14) unstable; urgency=low
490
491   * debian/control: Commented out the lines that generate the Debian-specific
492     packages, thus making alternatives available.
493     - Also made all of the generated packages depend on their Debian-specific
494     counterparts by default.  (Closes: #266671)
495
496  -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:38:31 -0300
497
498 java-package (0.13) unstable; urgency=low
499
500   * References to j2se-package are gone.  (Closes: #267642)
501   * Added support for Blackdown Java 1.4.2 RC1 JRE/SDK.  (Closes: #267643)
502
503  -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:17:54 -0300
504
505 java-package (0.12) unstable; urgency=low
506
507   * remove to contrib because this package depend on non-free J2SE.
508
509  -- Takashi Okamoto <tora@debian.org>  Tue,  3 Aug 2004 00:37:13 +0900
510
511 java-package (0.11) unstable; urgency=low
512
513   * change package name java-package and the command build package is
514     make-jpkg.
515
516  -- Takashi Okamoto <tora@debian.org>  Sat, 31 Jul 2004 15:07:36 +0900
517
518 java-package (0.10) unstable; urgency=low
519
520   * change package name mpkg-j2se.
521   * not use *-j2[re|sdk]debian package. Instead of this, add package
522     dependency to generated package. This reduce the installation for
523     such extra package.
524   * SUN's jdk1.5 beta2 support.
525
526  -- Takashi Okamoto <tora@debian.org>  Sun, 18 Jul 2004 13:53:36 +0900
527
528 java-package (0.9) unstable; urgency=low
529
530   * more generic support for j2re1.3.1/j2sdk1.3.1 from SUN.
531
532   * add alternative for jarsigner (in j2sdk1.4 and j2sdk1.5 from SUN).
533
534  -- Hubert Schmid <ude2@z42.de>  Sun, 23 May 2004 23:35:14 +0200
535
536 java-package (0.8) unstable; urgency=low
537
538   * java plugin: support for mozilla-firefox.
539
540  -- Hubert Schmid <ude2@z42.de>  Tue,  4 May 2004 22:39:39 +0200
541
542 java-package (0.7) unstable; urgency=low
543
544   * Optionally create .changes file.
545
546   * Add command line options: --help, --version, --full-name,
547     --email, --changes.
548
549   * Add environment variables: J2SE_PACKAGE_FULL_NAME,
550     J2SE_PACKAGE_EMAIL.
551
552  -- Hubert Schmid <ude2@z42.de>  Sat, 27 Mar 2004 23:01:08 +0100
553
554 java-package (0.6) unstable; urgency=low
555
556   * More generic support for Java2 1.4.2 from SUN.
557
558  -- Hubert Schmid <ude2@z42.de>  Thu, 11 Mar 2004 20:39:51 +0100
559
560 java-package (0.5) unstable; urgency=low
561
562   * NEW: build Blackdown J2RE 1.4.1 (gcc-2.95) and J2SDK 1.4.1 (gcc-2.95).
563
564   * NEW: support for SUN J2RE 1.5.0 beta, SUN J2SDK 1.5.0 beta.
565
566  -- Hubert Schmid <ude2@z42.de>  Sat,  7 Feb 2004 21:57:09 +0100
567
568 java-package (0.4) unstable; urgency=low
569
570   * Added support for: SUN J2RE 1.4.2_03, SUN J2SDK 1.4.2_03
571
572  -- Hubert Schmid <ude2@z42.de>  Thu, 15 Jan 2004 22:27:52 +0100
573
574 java-package (0.3) unstable; urgency=low
575
576   * Added support for: Blackdown J2RE 1.3, 1.4, J2SDK 1.3, 1.4
577
578   * Removed usage of "du --apparent-size". This should fix a problem
579     with old fileutils.
580
581  -- Hubert Schmid <ude2@z42.de>  Sun,  9 Nov 2003 21:13:38 +0100
582
583 java-package (0.2) unstable; urgency=low
584
585   * Added support for: Sun J2RE 1.3, Sun J2SDK 1.3, Sun J2SDK 1.4
586
587   * Moved peer packages into this source package.
588
589  -- Hubert Schmid <ude2@z42.de>  Thu, 30 Oct 2003 00:10:01 +0100
590
591 java-package (0.1) unstable; urgency=low
592
593   * Initial Release.
594
595  -- Hubert Schmid <j2se-package@z42.de>  Sun, 26 Oct 2003 20:06:57 +0100